% Demoskript LineStyleOrder, by Holger Stephan, 2014
clear all; close all;

% Using the 'LineStyleOrder' axis property:
set(0,'DefaultAxesColorOrder',[0 0 0], ...
      'DefaultAxesLineStyleOrder','-|--|:|-.');

x = linspace(0,4,1000);
ydata = [sin(x); x; x-x.^3/6; x-x.^3/6+x.^5/120];

plot(x,ydata);

legend('sin(x)','x','x-x^3/3!','x-x^3/3!+x^5/5!','Location','SouthWest');
xlabel('x');
ylabel('sin(x) and partial sums');
ylim([-2,2]);
print -deps lso1

% By hand (allows for more than 4 different lines):

ydata = [ydata; ydata(end,:)-x.^7/5040; ...
                ydata(end,:)-x.^7/5040+x.^9/362880];

axes;
hold on;
plot(x,ydata(1,:),'k-', ...
     x,ydata(2,:),'k--', 'LineWidth', 1.5);
plot(x,ydata(3,:),'k-' , ...
     x,ydata(4,:),'k--', ...
     x,ydata(5,:),'k:', ...
     x,ydata(6,:),'k-.');
hold off;

legend('sin(x)','x','x-x^3/3!','x-x^3/3!+x^5/5!', ...
       'x-x^3/3!+x^5/5!-x^7/7!', 'x-x^3/3!+x^5/5!-x^7/7!+x^9/9!', ...
       'Location','SouthWest');
xlabel('x');
ylabel('sin(x) and partial sums');
ylim([-2,2]);
print -deps lso2
